## org.python.core
Class PyObjectArray

    java.lang.Object
      org.python.core.AbstractArray
          org.python.core.PyObjectArray

All Implemented Interfaces:
  java.io.Serializable

    public class PyObjectArray

extends AbstractArray

Provides mutable behavior on a PyObject array. Supports operations for implementing `java.util.List`.

Author:
  Clark Updike
See Also:
  Serialized Form

Constructor Summary
`PyObjectArray()` Create the array with the specified size.
`PyObjectArray(int size)` Create the array with the specified size.
`PyObjectArray(PyObject[] rawArray)`
`PyObjectArray(PyObjectArray toCopy)`

Method Summary
`void` `add(int index, PyObject value)` Add a value at a specified index in the array.
`int` `add(PyObject value)` Add a value to the array, appending it after the current values.
`java.lang.Object` `clone()` Duplicates the object with the generic call.
`void` `ensureCapacity(int minCapacity)` Ensures that the base array has at least the specified minimum capacity.
`boolean` `equals(java.lang.Object o)`
`PyObject` `get(int index)` Retrieve the value present at an index position in the array.
`java.lang.Object` `getArray()` Get the backing array.
`int` `hashCode()`
`void` `remove(int start, int stop)` Removes a range from the array at the specified indices.
`PyObject` `set(int index, PyObject value)` Set the value at an index position in the array.
`PyObject[]` `toArray()` Constructs and returns a simple array containing the same data as held in this growable array.

Methods inherited from class org.python.core.AbstractArray
`appendArray, clear, copyArray, getModCountIncr, getSize, remove, replaceSubArray, replaceSubArray, setSize, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PyObjectArray

    public PyObjectArray()

  Create the array with the specified size.

### PyObjectArray

    public PyObjectArray(PyObject[] rawArray)

### PyObjectArray

    public PyObjectArray(int size)

  Create the array with the specified size.

  Parameters:
    `size` - number of int values initially allowed in array

### PyObjectArray

    public PyObjectArray(PyObjectArray toCopy)

Parameters:
  `toCopy` -

Method Detail

### remove

    public void remove(int start,
                       int stop)

  Description copied from class: `AbstractArray`
  Removes a range from the array at the specified indices.

  Overrides:
    `remove` in class `AbstractArray`
  Parameters:
    `start` - inclusive
    `stop` - exclusive

### add

    public void add(int index,
                    PyObject value)

  Add a value at a specified index in the array.

  `AbstractList` subclasses should update their `modCount` after calling this method.

  Parameters:
    `index` - index position at which to insert element
    `value` - value to be inserted into array

### add

    public int add(PyObject value)

  Add a value to the array, appending it after the current values.

  `AbstractList` subclasses should update their `modCount` after calling this method.

  Parameters:
    `value` - value to be added
  Returns:
    index number of added element

### clone

    public java.lang.Object clone()

  Duplicates the object with the generic call.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a copy of the object

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### get

    public PyObject get(int index)

  Retrieve the value present at an index position in the array.

  Parameters:
    `index` - index position for value to be retrieved
  Returns:
    value from position in the array

### getArray

    public java.lang.Object getArray()

  Get the backing array. This method is used by the type-agnostic base class code to access the array used for type-specific storage. The array should generally not be modified. To get a copy of the array, see `toArray()` which returns a copy. Note that `getSize()` should be used to determine the number of elements in the array, not the array's length (which may reflect excess capacity). `toArray()` returns an array whose length equals the value returned by `getSize()`.

  Returns:
    backing array object

### set

    public PyObject set(int index,
                        PyObject value)

  Set the value at an index position in the array.

  Parameters:
    `index` - index position to be set
    `value` - value to be set

### toArray

    public PyObject[] toArray()

  Constructs and returns a simple array containing the same data as held in this growable array. The array's length matches the value returned by `getSize()`

  Returns:
    array containing a copy of the data

### ensureCapacity

    public void ensureCapacity(int minCapacity)

  Description copied from class: `AbstractArray`
  Ensures that the base array has at least the specified minimum capacity.

  `AbstractList` subclasses should update their `modCount` after calling this method.

  Parameters:
    `minCapacity` - new minimum size required

Jython homepage